=== debian/changelog ===
mender-client (5.0.0-1) experimental; urgency=medium

  * New upstream release
    - rewritten from scratch in C++, previously Go
    - debian packaging also redone from scratch.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 05 Jan 2025 21:11:53 +0100
