=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DSYSTEMD_UNIT_DIR=/usr/lib/systemd/system

override_dh_auto_test:
	dh_auto_test || true

get-orig-source:
	gbp export-orig --submodules
	gunzip ../mender-client_$(DEB_VERSION_UPSTREAM).orig.tar.gz
	# exclude vendored json, we use nlohmann-json3-dev
	# exclude vendored yaml-cpp, unused.
	tar --delete -f ../mender-client_$(DEB_VERSION_UPSTREAM).orig.tar \
		mender-client-$(DEB_VERSION_UPSTREAM)/src/common/vendor/json \
		mender-client-$(DEB_VERSION_UPSTREAM)/src/common/vendor/yaml-cpp \
		$(NULL)
	gzip ../mender-client_$(DEB_VERSION_UPSTREAM).orig.tar
