=== debian/watch ===
version=4
https://github.com/mendersoftware/mender/tags .*/v?(\d.*)@ARCHIVE_EXT@
